unison-2.48 (2.48.4-5) unstable; urgency=medium

  * Create new versioned source package
  * Simplify the packaging
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 Jul 2020 17:10:12 +0200

unison (2.48.4-4) unstable; urgency=medium

  * Rename debian/NEWS.Debian to debian/NEWS so that it is installed

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2019 09:44:32 +0100

unison (2.48.4-3) unstable; urgency=medium

  * Add entry in NEWS.Debian documenting the incompatibility due to
    compilation with a different OCaml version (Closes: #946041)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2019 11:44:57 +0100

unison (2.48.4-2) unstable; urgency=medium

  * Fix compilation with OCaml 4.08.1
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2019 13:26:31 +0100

unison (2.48.4-1) unstable; urgency=medium

  * New upstream release (Closes: #878462)
  * Update Vcs-*
  * Bump Standards-Version to 4.1.1
  * Remove menu file

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Oct 2017 10:26:00 +0100

unison (2.48.3-1) unstable; urgency=medium

  * New upstream release (Closes: #705318)
    - remove obsolete patches (fixed upstream)
    - fix debian/generate-manpage.ml
    - thanks to Yuri Kanivetsky for preliminary updating work
    - make temp file names fit within 143 characters (Closes: #504503)
  * Do not use absolute path to icon in desktop file (Closes: #777238)
  * Update debian/copyright
  * Update bash completion installation directory
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Aug 2015 14:57:24 +0200

unison (2.40.102-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sat, 11 May 2013 12:03:12 +0200

unison (2.40.102-1) experimental; urgency=low

  * New upstream release
    - compatibility with OCaml >= 4 (Closes: #691683)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Apr 2013 14:44:24 +0200

unison (2.40.65-2) unstable; urgency=low

  * Refer to unison-manual.txt.gz in doc-base (Closes: #657496)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 15 Apr 2012 18:02:55 +0200

unison (2.40.65-1) unstable; urgency=low

  * New upstream release
    - fix -doc option (Closes: #657496, LP: #949895)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Apr 2012 17:55:06 +0200

unison (2.40.63-3) unstable; urgency=low

  * Suggest unison-all
  * Use rsvg-convert instead of rsvg (Closes: #666312)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Mar 2012 19:16:19 +0200

unison (2.40.63-2) unstable; urgency=low

  * Remove unison-gtk alternative on uninstall (Closes: #657420)
  * Add myself to Uploaders, remove Sylvain
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 26 Jan 2012 07:03:15 +0100

unison (2.40.63-1) experimental; urgency=low

  * Team upload
  * New upstream release (Closes: #641462)
    - remove all former patches; the issues they fix seem to have been
      addressed upstream
    - add a new patch to fix all typos reported by Lintian
  * debian/control:
    - remove build-dependency to quilt
    - replace Conflicts by Replaces/Breaks
    - bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Jan 2012 14:25:17 +0100

unison (2.32.52-3) unstable; urgency=low

  * Team upload
  * Remove obsolete README.source
  * Add Fix-bad-interaction-with-OpenSSH-5.6.patch (Closes: #620031)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 03 Apr 2011 13:16:18 +0200

unison (2.32.52-2) unstable; urgency=low

  * Team upload
  * Switch source package format to 3.0 (quilt)
  * Add patch to fix build with OCaml 3.12 (Closes: #585453)
  * Add "set -e" to maintainer scripts
  * Remove conflicts older than oldstable
  * Bump Standards-Version to 3.9.1

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Feb 2011 12:21:24 +0100

unison (2.32.52-1) unstable; urgency=low

  * New upstream release (Closes: #559054)
  * Merge changes from unison2.27.57:
    * Move ${F:OtherUnison*} fields first due to a problem when merging
      conflicts in dpkg-gencontrol
  * Generate manpage using debian/generate-manpage.ml and output of 'unison
    -help', so manpage is always up-to-date
    (Closes: #524526, #517972, #524475)
  * Backup files changed during build (lwt/depend, ubase/depend)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 27 Feb 2010 18:57:02 +0000

unison (2.27.57-4) unstable; urgency=low

  * Merge changes from unison2.27.57:
    * Update Standards-Version to 3.8.4 (no change)
    * Stop using dh_desktop
    * Use dh_ocaml 0.9 features (auto dependencies)
  * unison binaries are custom executables, so we can remove Depends on any
    ocaml-base* packages (Closes: #540481)
  * Add bash_completion (Closes: #349782, #481070)
  * Use the full path to access icon in .desktop (Closes: #541700)
  * Patch from unison trunk to remove 'Connected ...' message even when
    -silent is set (Closes: #497729, #551199)
  * Auto generate conflicts with unisonX.Y.Z or unison (X.Y.Z) package
    (Closes: #570910)
  * Enhance templating for unison and unison-gtk common files

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 25 Feb 2010 01:00:47 +0000

unison (2.27.57-2) unstable; urgency=low

  * Correct typo in documentation, thanks to Lucas B. Cohen
    (Closes: #137960, #129478, #466173)
  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Upgrade debian/compat to 7
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove obsolete debian/control.in related variables and files

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 12:10:11 +0100

unison (2.27.57-1) unstable; urgency=low

  [ Sylvain Le Gall]
  * New upstream release (Closes: #462598):
    * New option mountpoint can help avoid problem with removable media
      (Closes: #349674)
  * Unset CFLAGS in debian/rules (Closes: #476051)
  * Upgrade to standards version 3.7.3 (no change)
  * Update README.Debian to add new package unison2.13.16
  * Remove debian/control.in
  * Remove now useless gtkfont patch
  * Change doc-base section to File Management

  [ Stefano Zacchiroli ]
  * promote Homepage to a real debian/control field, now that dpkg supports it
  * fix vcs-svn field to point just above the debian/ dir

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 14 Apr 2008 19:39:39 +0200

unison (2.13.16-9) unstable; urgency=low

  * Use a correct way to test thing in shell (Closes: #443715)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 23 Sep 2007 23:54:42 +0200

unison (2.13.16-8) unstable; urgency=low

  * Change section from net to utils
  * Tighten build-dependency on lablgtk2 and librsvg2
  * Rework description of the package

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 20 Sep 2007 16:53:23 +0200

unison (2.13.16-7) unstable; urgency=low

  * Upgrade debian/watch version to 3,
  * Upgrade debhelper debian/compat to 5,
  * Use CDBS for debian/rules,
  * Add debian/unison-gtk.desktop.in (Closes: #387666, #422495),
  * Add a note in README.Debian about removable media
  * Change my email address to gildor@debian.org,
  * Change email address to gildor@debian.org everywhere
  * Rebuild for ocaml 3.10.0
  * Add icons for unison-gtk
  * Use ocamlopt.opt when possible
  * Provide a link from unison to unison-2.13 to work with
    "addversionno = true" (Closes: #368418, #392099)
  * Apply patche 01gtkfont to stop trying to use deprecated
    font setting, thanks to Norman Ramsey (Closes: #372545)
  * Add a note on what unison-latest-stable is supposed to do in
    README.Debian (Closes: #361900), in the same time explain failure
    when trying to upgrade with update-alternatives (Closes: #335413)
  * unison-gtk is now an alternative to unison (Closes: #411297)
  * change stable release codename to Etch in README.Debian
    (Closes: #394738)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 20 Sep 2007 15:58:53 +0200

unison (2.13.16-6) unstable; urgency=low

  * Add a note in README.Debian concerning the use of removable media
  * Use ubuntu patch against bashism (Closes: #376362)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 15 Feb 2007 22:36:17 +0100

unison (2.13.16-5) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue,  7 Feb 2006 00:36:07 +0100

unison (2.13.16-4) unstable; urgency=low

  * Forget to replace 3.08.3 by $(OCAMLABI) in the substvar
    OCaml:Interpreter

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 00:56:50 +0100

unison (2.13.16-3) unstable; urgency=low

  * Remove hardcoded OCaml ABI

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 23:26:39 +0100

unison (2.13.16-2) unstable; urgency=low

  * Recommend ssh-client | openssh-client rather than ssh
  * Remove dependency between unison and unison-gtk:
    * Copy manual to unison-gtk.1
    * Install documentation in all package
    * (Closes: #308683)
  * Use "mv unison $(UNISON)" and "$(UNISON_GTK)" rather than supplying
    NAME=$(UNISON) when building (Closes: #325932, #326589, #326395, #325812)
  * Remove reference to PostScript/HTML in the manpages (Closes: #323859)
  * Reformat NEWS.Debian to limit line length to 72 (Closes: #326154)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon,  5 Sep 2005 23:50:34 +0200

unison (2.13.16-1) unstable; urgency=low

  * New upstream release (Closes: #322042)
  * Use the same binary version scheme as the "-addversionno" unison
    option (Closes: #308507)
  * Change the menu section to Apps/Tools (Closes: #308683).
  * The conflict between unison and unison-gtk as proposed in bug #308683 will
    not be used:
    * the dependency is mainly a documentation dependency (symlink for
      unison-gtk.1.gz and /usr/share/doc/unison-gtk )
    * user can choose to install both unison and unison-gtk
  * Correct a problem in the alternative system: when a package is upgraded
    upstream, the binary provided is also changed (ie going from
    /usr/bin/unison-2.12.0 to /usr/bin/unison-2.13.16). So we symlinked the
    binary to unison-latest-stable and use this binary in the alternative
    system.
  * Add a unison[-gtk].preinst in order to correct the former behavior of
    update alternatives.
  * Transition to svn-buildpackage

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat, 13 Aug 2005 20:17:11 +0200

unison (2.12.0-1) unstable; urgency=low

  * New upstream release
  * Change the watch file to allow QA to use it
  * Upgrade standards version to 3.6.2.0 (no change)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Thu, 28 Jul 2005 00:15:20 +0200

unison (2.10.2-3) unstable; urgency=low

  * Backport of sarge changes. Unison doesn't read/write on
    $HOME/.unison, it is only a hack used in Fspath.canonizeFspath
    and called from Os.unisonDir. Set the HOME variable before
    generating to be $(CURDIR) in debian/rules (Closes in sarge:#308773)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri, 13 May 2005 00:11:09 +0200

unison (2.10.2-2) unstable; urgency=low

  * Using PACKAGE_VERSION to substitute variable in doc-base. (Closes: #307411)
  * unison-gtk now recommends ssh-askpass, put a note in README.Debian
    concerning the fact that ssh-askpass is required for using a password
    protected SSH connection (Closes: #238854)
  * State the changes of archive format from 2.9.1 to 2.10.2 in NEWS.Debian
    (Closes: #308126)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon,  9 May 2005 00:47:47 +0200

unison (2.10.2-1) unstable; urgency=medium

  * Transition to ocaml 3.08.3 ( Closes: #304124 )
  * Split the package unison in unison2.9.1 and unison for being able to
    have 2 versions of the protocol.
  * Use update-alternative to be able to install both unison2.9.1 and
    unison
  * Revisit the build system : use sed and mv to create package unison2.9.1
    and unison ( rename debhelper files in rule, subsitute @VERSION@ by the
    right version in the content of some files ).
  * Conflicts with package unison (<< 2.9.1-2 ), because this package install
    a binary "unison" which will conflict with update-alternative
  * Use a "Provide: unison" to manage the oldest package ( which provides
    also unison, but with a slightly different protocol ).
  * Remove the patch 01_ocaml_3_08 since it is applied upstream
  * Use a GTK2 interface, since GTK1 interface doesn't even build
    (Closes: #252617)
  * No more HTML/PS documentation, only text documentation, because it is the
    only one i can produce without doing severe licence violation ( the former
    HTML version comes from a strange unison-manual.tex, which cannot be
    found, so i don't have the source and i cannot distribute files without
    source ) ( Closes: #171063, #184465 )
  * New upstream release ( Closes: #271415 )
  * Add NEWS.Debian to explain the split of the package
  * Correct and add a section to README.Debian.

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue, 19 Apr 2005 00:08:05 +0200

unison (2.9.1-2) unstable; urgency=medium

  * Version to fix maintainer fields

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon,  7 Jun 2004 22:58:50 +0200

unison (2.9.1-1) unstable; urgency=medium

  * New upstream version.				(closes: #142748)
  * Medium urgency to make woody release. Rationale:
     - upstream versions of unison are rarely, if ever, broken, and if
       they are, are fixed within days. this release has had a week or
       two to sweat it out.
     - the previous version had problems on windows. seeing as
       cross-platform compatibility is a major feature of unison, this
       could cause long-term aggrivation for people hoping to sync their
       woody box with their windows box.
     - unison's protocol is version specific, and if I waited until sid
       released to upload this new version, I'd have to provide an old
       version in sid sooner than I'd have liked.
     - it'd really annoy me if the version in woody wasn't the latest
       when it released. =)

 -- Robert McQueen <robot101@debian.org>  Wed, 24 Apr 2002 19:05:08 +0100

unison (2.8.1-2) unstable; urgency=low

  * Moved to main.

 -- Robert McQueen <robot101@debian.org>  Sat, 30 Mar 2002 04:13:46 +0000

unison (2.8.1-1) unstable; urgency=low

  * New upstream version.				(closes: #138576)
  * Added menu entry for unison-gtk.			(closes: #133039)
  * Changed 'lablgtk, libgtk1.2-dev' build dep to 'liblablgtk-ocaml-dev'.
  * Updated manpage for new/removed options.

 -- Robert McQueen <robot101@debian.org>  Fri, 29 Mar 2002 19:22:33 +0000

unison (2.7.7-1) unstable; urgency=medium

  * New upstream version. Fixes bugs in connecting and the client
     startup sequence.

 -- Robert McQueen <robot101@debian.org>  Sun, 23 Sep 2001 19:27:27 +0100

unison (2.7.1-2) unstable; urgency=low

  * Added libgtk1.2-dev build dep, but this is really a bug in lablgtk.
  * Optimised debian/rules to only call shell once to set a variable, and
     use that instead of an elaborate (and fallible) if construct.

 -- Robert McQueen <robot101@debian.org>  Thu, 30 Aug 2001 12:57:44 +0100

unison (2.7.1-1) unstable; urgency=low

  * New upstream version.				(closes: #106983)
  * Moved package to non-US/main - it recommends ssh.	(closes: #109406)
  * Added the GTK interface version in a seperate unison-gtk package.
							(closes: #105911)
  * Added symlinks from unison-gtk's documentation and manpage to
     unison's.
  * Amended the manpage to detail the unison-gtk binary and changed
     command line options.
  * Install 'NEWS' file as upstream changelog, which it is, and remove
     some extraneous docs.

 -- Robert McQueen <robot101@debian.org>  Thu, 30 Aug 2001 01:21:14 +0100

unison (2.6.11-2) unstable; urgency=low

  * Added newline before descriptions are returned.	(closes: #86621)
  * Fixed gratuitous debhelperism - version 3 is not required.
							(closes: #97563)

 -- Robert McQueen <robot101@debian.org>  Tue, 15 May 2001 20:36:43 +0100

unison (2.6.11-1) unstable; urgency=low

  * New upstream version.

 -- Robert McQueen <robot101@debian.org>  Mon, 30 Apr 2001 19:06:03 +0100

unison (2.6.1-2) unstable; urgency=low

  * Fixed to take account of no native (ocamlopt) compiler on some archs.
  * Minor debian/rules cleanups.

 -- Robert McQueen <robot101@debian.org>  Thu, 28 Dec 2000 18:23:55 +0000

unison (2.6.1-1) unstable; urgency=low

  * Package adopted by new Debian maintainer. (closes: #75968)
  * New upstream version. (closes: #65601)

 -- Robert McQueen <robot101@debian.org>  Fri, 10 Nov 2000 23:12:02 +0000

unison (1.180-2) unstable; urgency=low

  * Changed the architecture field from all to any.

 -- Sven LUTHER <luther@debian.org>  Mon, 10 Jan 2000 19:50:16 +0100

unison (1.180-1) unstable; urgency=low

  * Initial release.

 -- Sven LUTHER <luther@debian.org>  Tue, 21 Dec 1999 12:15:49 +0100
